@echo off
if "%os%" == "Windows_NT" title PanuWorld MP3SPLIT
echo PanuWorld MP3SPLIT - Decodes a MPEG1 Layer III file and splits the result
echo.
if "%1" == "" goto :usage
if not exist lame.exe goto :usage
if not exist wavsplit.exe goto :usage
lame.exe --decode "%1" "%1.wav"
if errorlevel 1 goto :end
echo.

rem -----------------------------------------------------------------------------------------
rem To run the MP3SPLIT without any questions (with volume normalization) uncomment next line
rem wavsplit.exe /I /N "%1.wav"
rem -----------------------------------------------------------------------------------------
rem -OR- To check the tracks before splitting uncomment next line
wavsplit.exe "%1.wav"
rem -----------------------------------------------------------------------------------------

goto :end

:usage
echo MP3SPLIT mp3file
echo.
echo mp3file  The MPEG1 Layer III file (stereo 44100 Hz) to decode and split
echo.
echo The temporary 16-bit PCM WAVE file of the whole original file is mp3file.WAV.
echo It will be splitted to track files TRACK01.WAV, TRACK02.WAV, etc. You will be
echo given a possibility to normalize the track volumes or cancel splitting.
echo Requires LAME.EXE and WAVSPLIT.EXE in the working directory.
echo.

:end
if "%os%" == "Windows_NT" pause
